# Create Account Group

`POST /api/2.0/accounts/{account_id}/scim/v2/Groups`

Creates a group in the <Databricks> account with a unique name, using the supplied group details.

API scopes: scim

## Path parameters

- `account_id` (string, optional)
  <Databricks> account ID

## Request body

- `displayName` (string, optional)
  String that represents a human-readable group name
- `externalId` (string, optional)
- `id` (string, optional)
  <Databricks> group ID
- `members` (array of object, optional)
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `roles` (array of object, optional)
  Indicates if the group has the admin role.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)

## Returns

- `displayName` (string, optional)
  String that represents a human-readable group name
- `externalId` (string, optional)
  external_id should be unique for identifying groups
  Constraints: `<= 64 characters`
- `id` (string, optional)
  <Databricks> group ID
- `members` (array of object, optional)
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `roles` (array of object, optional)
  Indicates if the group has the admin role.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `account_id` (string, optional)
  <Databricks> account ID

## Response

```json
{
  "displayName": "string",
  "externalId": "string",
  "id": "string",
  "members": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "roles": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "account_id": "string"
}
```

